Bug 498496 - EPS file produced by Grace can't be printed
EPS file produced by Grace can't be printed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grace (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-30 14:32 EDT by Erik Ylvisaker
Modified: 2010-12-05 01:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:55:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Ylvisaker 2009-04-30 14:32:13 EDT
Description of problem:
EPS files generated by xmgrace fail to print in evince or ps.  They can be fixed by running ps2pdf.  This is a duplicate of <a href="https://bugzilla.redhat.com/show_bug.cgi?id=431145">bug 431145</a>, which was filed against Fedora Core 8 but never fixed.  

Version-Release number of selected component (if applicable):
Name       : grace
Arch       : i386
Version    : 5.1.22
Release    : 2.fc10

How reproducible:
Very easily

Steps to Reproduce:
EPS file is produced in grace by the following.
1. Run xmgrace
2. File -> Print Setup
3. Change device to EPS
4. Click Accept
5. File -> Print

Now the file "Untitled.eps" is created.  Open it in evince and try to print, but it won't print.  Evince reports no error.
  
Actual results:
No printing occurs.

Expected results:
The file should print.

Additional info:
The file can be fixed manually by adding the following two lines to the header
(I have only tested adding this at the end of the header, but that probably doesn't matter):
%%Pages: 1
%%Page: 1  

Looking at the grace source code, in src/psdrv.c there at line 245 there is:
    if (curformat == PS_FORMAT) {
        fprintf(prstream, "%%%%Pages: 1\n");
        fprintf(prstream, "%%%%PageOrder: Ascend\n");
    }

It probably should be something like:
    fprintf(prstream, "%%%%Pages: 1\n");
    if (curformat == PS_FORMAT) {
        fprintf(prstream, "%%%%PageOrder: Ascend\n");
    }
    else {
        fprintf(prstream, "%%%%Page: 1\n");    
    }
The above is pure speculation on my part, I have not tested this code myself.
Comment 1 Erik Ylvisaker 2009-04-30 14:33:29 EDT
Just to clarify, in the steps to reproduce, there is no need to load any data into xmgrace.  Running without any arguments and loading no data still reproduces the issue.
Comment 2 Bug Zapper 2009-11-18 06:53:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 José Matos 2009-11-19 13:56:08 EST
I am changing this bug to version 12.

I would like to have this bug fixed but it is low in priority list (as there is a workaround). Any help is appreciated.
Comment 4 Bug Zapper 2010-11-04 07:17:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:55:24 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.